# Retrieve bulk users redemption stats

Endpoint: POST /v3/users/redemption-stats
Version: 3.0.0
Security: BearerAuth

## Request fields (application/json):

  - `identifier` (string)
    Example: id, email

  - `identifier_value` (array)
    Example: [123,456,789]

  - `start_date` (string)
    Example: 2026-01-01

  - `end_date` (string)
    Example: 2026-02-01

  - `active_only` (boolean)
    Only return users with stats
    Example: true

## Response 200 fields (application/json):

  - `status` (integer)
    Example: 200

  - `timestamp` (string)
    Example: 1970-01-30T00:00:00.000000Z

  - `data` (array)

  - `data.id` (integer)
    Example: 987654

  - `data.UID` (string)

  - `data.email` (string)

  - `data.all_redemptions_count` (integer)
    Example: 1

  - `data.egift_orders_count` (integer)
    Example: 2

  - `data.egift_face_value` (number)
    Example: 500

  - `data.egift_cost` (number)
    Example: 100

  - `data.egift_savings` (number)
    Example: 10

  - `current_page` (integer)
    Example: 1

  - `first_page_url` (string)
    Example: https://{url}/v3/users/redemption-stats?page=2

  - `last_page_url` (string)
    Example: https://{url}/v3/users/redemption-stats?page=15

  - `next_page_url` (string)
    Example: https://{url}/v3/users/redemption-stats?page=3

  - `prev_page_url` (string)
    Example: https://{url}/v3/users/redemption-stats?page=1

  - `from` (integer)
    Example: 4

  - `last_page` (integer)
    Example: 15

  - `path` (string)
    Example: https://{url}/v3/users/redemption-stats

  - `per_page` (integer)
    Example: 3

  - `to` (integer)
    Example: 6

  - `total` (integer)
    Example: 45

